(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./EmittersPathShape.js", "./Options/Classes/EmittersPathShapeOptions.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.EmittersPathShapeGenerator = void 0;
    const EmittersPathShape_js_1 = require("./EmittersPathShape.js");
    const EmittersPathShapeOptions_js_1 = require("./Options/Classes/EmittersPathShapeOptions.js");
    class EmittersPathShapeGenerator {
        generate(position, size, fill, options) {
            const shapeOptions = new EmittersPathShapeOptions_js_1.EmittersPathShapeOptions();
            shapeOptions.load(options);
            return new EmittersPathShape_js_1.EmittersPathShape(position, size, fill, shapeOptions);
        }
    }
    exports.EmittersPathShapeGenerator = EmittersPathShapeGenerator;
});
