(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.EmittersPathShapeOptions = void 0;
    const defaultPosition = { x: 50, y: 50 };
    class EmittersPathShapeOptions {
        constructor() {
            this.points = [];
        }
        load(data) {
            if (!data) {
                return;
            }
            if (data.points !== undefined) {
                this.points = data.points.map(t => ({ x: t.x ?? defaultPosition.x, y: t.y ?? defaultPosition.y }));
            }
        }
    }
    exports.EmittersPathShapeOptions = EmittersPathShapeOptions;
});
