(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "./EmittersPathShapeGenerator.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadEmittersShapePath = loadEmittersShapePath;
    const EmittersPathShapeGenerator_js_1 = require("./EmittersPathShapeGenerator.js");
    async function loadEmittersShapePath(engine, refresh = true) {
        const emittersEngine = engine;
        emittersEngine.addEmitterShapeGenerator?.("path", new EmittersPathShapeGenerator_js_1.EmittersPathShapeGenerator());
        await emittersEngine.refresh(refresh);
    }
});
